org.wso2.carbon.dataservices.sql.driver.query.drop

## Class ExcelDropQuery

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.query.Query
  - - org.wso2.carbon.dataservices.sql.driver.query.drop.DropQuery
    - - org.wso2.carbon.dataservices.sql.driver.query.drop.ExcelDropQuery

-     public class ExcelDropQuery
      extends DropQuery

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExcelDropQuery(Statement stmt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute()`
    `ResultSet` | `executeQuery()`
    `int` | `executeUpdate()`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.drop.DropQuery

      `getTableName`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.Query

      `findParam, getConnection, getParameters, getProcessedTokens, getStatement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExcelDropQuery

          public ExcelDropQuery(Statement stmt)
                         throws SQLException

      Throws:
        `SQLException`

  - ### Method Detail

    - #### executeQuery

          public ResultSet executeQuery()
                                 throws SQLException

      Specified by:
        `executeQuery` in class `Query`
      Throws:
        `SQLException`

    - #### executeUpdate

          public int executeUpdate()
                            throws SQLException

      Specified by:
        `executeUpdate` in class `Query`
      Throws:
        `SQLException`

    - #### execute

          public boolean execute()
                          throws SQLException

      Specified by:
        `execute` in class `Query`
      Throws:
        `SQLException`

Copyright © 2018 WSO2. All rights reserved.